## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 0;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Update just these two on source update
%global gitdate 20230922
%global gitcommit 62d63a59230bb5f5c6e54cddd381b9425dba3726

%global gitshort %(echo %gitcommit | cut -c1-8)
%global extraver %{gitdate}git%{gitshort}

Name:           aflnet
# Version is present only in config.h
Version:        2.56b^%{extraver}
Release:        %autorelease 
Summary:        AFLNet: A Greybox Fuzzer for Network Protocols

License:        Apache-2.0
URL:            https://github.com/aflnet/aflnet
Source0:        %{url}/archive/%{gitcommit}/%{name}-%{gitcommit}.tar.gz 

BuildRequires:  graphviz-devel libcap-devel
BuildRequires:  gcc make clang
#Requires:       

%description
AFLNet is a greybox fuzzer for protocol implementations. Unlike existing
protocol fuzzers, it takes a mutational approach and uses state-feedback,
in addition to code-coverage feedback, to guide the fuzzing process. AFLNet
is seeded with a corpus of recorded message exchanges between the server and
an actual client. No protocol specification or message grammars are required.
It acts as a client and replays variations of the original sequence of
messages sent to the server and retains those variations that were effective
at increasing the coverage of the code or state space. To identify the server
states that are exercised by a message sequence, AFLNet uses the server’s
response codes. From this feedback, AFLNet identifies progressive regions in
the state space, and systematically steers towards such regions.

%prep
%autosetup -n %{name}-%{gitcommit}


%build
%make_build PREFIX=%{_prefix} HELPER_PATH=%{_libdir}/afl


%install
%make_install PREFIX=%{_prefix} HELPER_PATH=%{_libdir}/afl


%files
%license LICENSE
%doc README.md
%doc %{_datadir}/doc/afl
%{_bindir}/afl-*
%{_bindir}/aflnet-replay
%{_datadir}/afl
%{_libdir}/afl


%changelog
## START: Generated by rpmautospec
* Thu Apr 02 2020 Thuan Pham <thuan.pham@monash.edu>
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
